Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## emn.fr.ascola.extractor
Class Provided

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<java.lang.String,java.util.Vector<org.eclipse.jdt.core.IMethod>>
              emn.fr.ascola.extractor.Provided

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.util.Vector<org.eclipse.jdt.core.IMethod>>

    public class Provided

extends java.util.HashMap<java.lang.String,java.util.Vector<org.eclipse.jdt.core.IMethod>>

Class to store per type name the set of required services

Author:
  jroyer
See Also:
  Serialized Form

Constructor Summary
`Provided()`

Method Summary
`java.lang.String` | `computeSignature(org.eclipse.jdt.core.IMethod im)` Compute a readable signature without fully qualified names.
`void` | `exists(java.lang.String trec, org.eclipse.jdt.core.dom.IMethodBinding req)` Check if the req method has a corresponding provided method.
`java.lang.String` | `toString()`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### Provided

    public Provided()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.AbstractMap<java.lang.String,java.util.Vector<org.eclipse.jdt.core.IMethod>>`

### computeSignature

    public java.lang.String computeSignature(org.eclipse.jdt.core.IMethod im)

  Compute a readable signature without fully qualified names.

  Parameters:
    `im` -
  Returns:

### exists

    public void exists(java.lang.String trec,
                       org.eclipse.jdt.core.dom.IMethodBinding req)

  Check if the req method has a corresponding provided method. TODO

  Parameters:
    `req` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD